%define          localstatedir /var/lib

Name:            tentacles
Version:         0.10.1
Release:         0.hpj.1

Summary:         Peer-to-peer networking library
Copyright:       LGPL
Group:           Libraries/Networking
URL:             http://hp.cl.no/proj/tentacles/
Packager:        Hans Petter Jansson <hpj@copyleft.no>

Source:          %{name}-%{version}.tar.gz
BuildRoot:       /var/tmp/%{name}-%{version}-root
Requires:        flux >= 0.9.0
Requires:        libvorbis >= 1.0
Requires:        libjpeg
BuildRequires:   flux-devel >= 0.9.0
BuildRequires:   libvorbis-devel >= 1.0
BuildRequires:   libjpeg

%description
Tentacles is a peer-to-peer networking library.

Comments and questions should be sent to <hpj@copyleft.no>.

%package devel
Summary:         Development files for the Tentacles library
Group:           Development/Libraries
Requires:        %{name} = %{version}
Requires:        flux-devel >= 0.9.0
Requires:        libvorbis-devel >= 1.0
Requires:        libjpeg

%description devel
Tentacles is peer-to-peer networking library, written in C. This package
allows you to develop applications that use the Tentacles library.

%prep
%setup

%build

%ifarch alpha
    MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif

# Needed for snapshot releases.
MYCFLAGS="$RPM_OPT_FLAGS"

if [ ! -f configure ]; then
    CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS \
	--enable-more-warnings --prefix=%{_prefix} \
	--localstatedir=%{localstatedir} --sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} --libdir=%{_libdir} \
	--includedir=%{_includedir} --bindir=%{_bindir}
fi

CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --enable-more-warnings \
    --prefix=%{_prefix} --localstatedir=%{localstatedir} \
    --sysconfdir=%{_sysconfdir} --mandir=%{_mandir} \
    --libdir=%{_libdir} --includedir=%{_includedir} \
    --bindir=%{_bindir} 

make

%install
rm -rf $RPM_BUILD_ROOT
make -k sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
    prefix=$RPM_BUILD_ROOT%{_prefix} mandir=$RPM_BUILD_ROOT%{_mandir} \
    libdir=$RPM_BUILD_ROOT%{_libdir} bindir=$RPM_BUILD_ROOT\%{_bindir} \
    includedir=$RPM_BUILD_ROOT%{_includedir} install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc README COPYING ChangeLog NEWS AUTHORS INSTALL
%{_libdir}/*.so.*
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_prefix}/share/gtk-doc/html/%{name}

%changelog
* Sat Mar 22 2003 Hans Petter Jansson <hpj@copyleft.no>
- Wrote initial spec file.
