/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-context-factory.h - Factory for generic contexts.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_CONTEXT_FACTORY_H
#define TNT_CONTEXT_FACTORY_H

#define TNT_CONTEXT_FACTORY(object) ((TntContextFactory *) object)

struct _TntContextFactory
{
  FluxObject  object;

  guint       struct_size;
  gpointer    destroy_func;

  GHashTable *context_table;
};

#define tnt_context_factory_new(struct_name, destroy_func) \
  tnt_context_factory_new_real (sizeof (struct_name), (gpointer) (destroy_func))

void               tnt_context_factory_init                     (TntContextFactory *factory,
                                                                 guint struct_size, gpointer destroy_func);
TntContextFactory *tnt_context_factory_new_real                 (guint struct_size, gpointer destroy_func);
void               tnt_context_factory_finalize                 (FluxObject *object);

gpointer           tnt_context_factory_new_context              (TntContextFactory *factory);
void               tnt_context_destroy                          (gpointer context);

#endif  /* TNT_CONTEXT_FACTORY_H */
