/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-core-registry.h - Keeps track of initialized cores.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_CORE_REGISTRY_H
#define TNT_CORE_REGISTRY_H

gpointer tnt_core_registry_get_core        (const gchar *core_id);

void     tnt_core_registry_register_core   (const gchar *core_id, gpointer core);
void     tnt_core_registry_unregister_core (const gchar *core_id, gpointer core);

void     tnt_core_registry_attach_listener (const gchar *core_id, TntCoreListenerFunc *func,
                                            gpointer data);
void     tnt_core_registry_detach_listener (const gchar *core_id, TntCoreListenerFunc *func,
                                            gpointer data);

#endif /* TNT_CORE_REGISTRY_H */
