/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-file-messages.h - Defines messages used by TntFileCore.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_FILE_MESSAGES_H
#define TNT_FILE_MESSAGES_H

enum
{
  TNT_MESSAGE_FILE_INFO = 64,
  TNT_MESSAGE_QUERY,
  TNT_MESSAGE_QUERY_CANCEL,
  TNT_MESSAGE_DATA_BLOCK_REQUEST,
  TNT_MESSAGE_DATA_BLOCK,
  TNT_MESSAGE_ASK_FILE_AVAIL,
  TNT_MESSAGE_HAVE_FILE,
  TNT_MESSAGE_HAVE_FILE_BITMAP,
  TNT_MESSAGE_ON_QUEUE,
  TNT_MESSAGE_OFF_QUEUE
};

enum
{
  TNT_QUERY_M_MATCH_PARTIAL = (1 << 0)
};

typedef struct
{
  TntFileID   id;
  TntFileMeta meta;
  guint16     local_block_count;
}
TntFileInfoM;

typedef struct
{
  guint16  id;
  guint16  flags;
  gchar   *string;
}
TntQueryM;

typedef struct
{
  guint16 id;
}
TntQueryCancelM;

typedef struct
{
  TntFileID file_id;
  guint16   block_id;
}
TntDataBlockRequestM;

typedef struct
{
  TntFileID file_id;
  guint16   block_id;
}
TntDataBlockM;

typedef struct
{
  TntFileID file_id;
}
TntAskFileAvailM;

typedef struct
{
  TntFileID file_id;
}
TntHaveFileM;

typedef struct
{
  TntFileID  file_id;
  guchar    *bitmap;
  guint      bitmap_len;
  guint      bitmap_len_bits;
}
TntHaveFileBitmapM;

typedef struct
{
  TntFileID    file_id;
  guint16      block_id;
  TntTimeStamp timestamp;
}
TntOnQueueM;

typedef struct
{
  TntFileID    file_id;
  guint16      block_id;
  TntTimeStamp timestamp;
}
TntOffQueueM;

void tnt_file_messages_register (void);

#endif  /* TNT_FILE_MESSAGES_H */
