/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-log.h - Logger.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_LOG_H
#define TNT_LOG_H

void tnt_log                  (TntLogSubsystem subsys, TntLogLevel level, TntLogMood mood,
                               TntLogFlags flags, const gchar *format, ...);
void tnt_log_v                (TntLogSubsystem subsys, TntLogLevel level, TntLogMood mood,
                               TntLogFlags flags, const gchar *format, va_list args);
void tnt_log_add_recipient    (TntLogLevel min_level, TntLogFlags mask, TntLogFunc *func, gpointer data);
void tnt_log_remove_recipient (TntLogFunc *func);

void tnt_log_debug            (const gchar *format, ...);
void tnt_log_debug_v          (const gchar *format, va_list args);

#endif  /* TNT_LOG_H */
