/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-message-util.h - Convenience functions for network messages.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_MESSAGE_UTIL_H
#define TNT_MESSAGE_UTIL_H

TntMessage       *tnt_message_construct        (TntMessageType type, gpointer payload_struct,
                                                gpointer data_block, guint data_len,
                                                guint8 ttl);
TntMessage       *tnt_message_construct_direct (TntMessageType type, gpointer payload_struct,
                                                gpointer data_block, guint data_len);
TntRoutedMessage *tnt_message_construct_routed (TntMessageType type, gpointer payload_struct,
                                                gpointer data_block, guint data_len,
                                                guint8 ttl, TntNodeID source_id, TntNodeID dest_id);

gboolean          tnt_message_is_routed        (TntMessage *message);
gboolean          tnt_message_is_for_me        (TntMessage *message, TntNodeID my_node_id);

#endif  /* TNT_MESSAGE_UTIL_H */
