/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-network-messages.h - Defines messages used by TntNetworkCore.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_NETWORK_MESSAGES_H
#define TNT_NETWORK_MESSAGES_H

enum
{
  TNT_MESSAGE_CONNECT_REQUEST = 1,
  TNT_MESSAGE_PEER_INFO,
  TNT_MESSAGE_PEER_REVERSE_INFO,
  TNT_MESSAGE_NODE_INFO,
  TNT_MESSAGE_CONTACT_INFO
};

typedef struct
{
  TntNodeID       id;
  TntNodeAddress4 address;
}
TntConnectRequestM;

typedef struct
{
  TntNodeID id;
  guint64   fingerprint;
  guint16   listening_port;
}
TntPeerInfoM;

typedef struct
{
  TntNodeIP4 ip4;
}
TntPeerReverseInfoM;

typedef struct
{
  TntNodeID id;
  gchar     name [TNT_NODE_NAME_LEN_MAX];
}
TntNodeInfoM;

typedef struct
{
  TntNodeID       id;
  TntNodeAddress4 address;
}
TntContactInfoM;

void tnt_network_messages_register (void);

#endif  /* TNT_NETWORK_MESSAGES_H */
