/* -*- Mode: C; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

/* tnt-remote-query.h - Describes a metadata query made by a remote user.
 *
 * Copyright (C) 2002-2003 Hans Petter Jansson
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * Authors: Hans Petter Jansson <hpj@copyleft.no>
 */

#ifndef TNT_REMOTE_QUERY_H
#define TNT_REMOTE_QUERY_H

#define TNT_REMOTE_QUERY(object) ((TntRemoteQuery *) object)

struct _TntRemoteQuery
{
  TntQuery      query;

  TntNodeID     node_id;
  GQueue       *match_queue;
};

gboolean        tnt_remote_query_init                     (TntRemoteQuery *remote_query, TntNodeID node_id);
TntRemoteQuery *tnt_remote_query_new                      (TntNodeID node_id);
void            tnt_remote_query_finalize                 (FluxObject *remote_query);

TntNodeID       tnt_remote_query_get_node_id              (TntRemoteQuery *remote_query);
gboolean        tnt_remote_query_get_next_match           (TntRemoteQuery *remote_query,
                                                           TntFileID *file_id,
                                                           TntFileMeta **file_meta);

#endif  /* TNT_REMOTE_QUERY_H */
