#include <glib.h>
#include <tnt.h>

#define LINE_LEN_MAX 512

static void
do_index (TntStringIndex *string_index, FILE *in_fhd)
{
  gchar buf [LINE_LEN_MAX];
  guint value = 0;

  while (fgets (buf, LINE_LEN_MAX, in_fhd))
  {
    gchar *str = g_ascii_strdown (buf, -1);
    tnt_string_index_insert (string_index, str, &value);
    g_free (str);
  }
}

gint
main (gint argc, gchar *argv [])
{
  TntStorage     *storage;
  TntStringIndex *string_index;
  FILE           *in_fhd;

  tnt_register_classes ();

  storage = tnt_storage_open (".");
  string_index = tnt_string_index_new (storage, argv [1], sizeof (guint));

  in_fhd = fopen (argv [1], "rt");
  do_index (string_index, in_fhd);
  fclose (in_fhd);

  flux_object_unref (FLUX_OBJECT (string_index));
}
